# ---------------------------------- #
#               Gmail                #
# ---------------------------------- #

IMAPAccount gmail
Host imap.gmail.com
User example@gmail.com
PassCmd "keepassxc-cli show -s ~/pass.kdbx Emails/Gmail | grep \"Password:\" | awk '{print $2}'"
Port 993
AuthMechs LOGIN
SSLType IMAPS
#SSLVersions SSLv3
CertificateFile /etc/ssl/certs/ca-certificates.crt

# Remote
IMAPStore gmail-remote
Account gmail

# Local
MaildirStore gmail-local
Subfolders Verbatim
Path ~/Mail/Gmail/
Inbox ~/Mail/Gmail/Inbox

# Connections
Channel gmail
Master :gmail-remote:
Slave :gmail-local:
Patterns ![Gmail]* "[Gmail]/Sent Mail" "[Gmail]/Starred" "[Gmail]/All Mail" "[Gmail]/Trash" "[Gmail]/Drafts" "[Gmail]/Spam" "INBOX"
Create Slave
Expunge Both
SyncState *

# ---------------------------------- #
#          Self-hosted mail          #
# ---------------------------------- #
# Soon
